# ``twisted`.`protocols`.`amp`.`IResponderLocator``

interface documentation

`class IResponderLocator(Interface): (source)`

Known implementations: `twisted.protocols.amp.CommandLocator`, `twisted.protocols.amp.SimpleStringLocator`

View In Hierarchy

An application object which can look up appropriate responder methods for AMP commands.

Method | `locateResponder` | Locate a responder method appropriate for the named command.

def locateResponder(name): (source)
Locate a responder method appropriate for the named command.

Parameters
name:`bytes` | the wire-level name (commandName) of the AMP command to be responded to.
Returns
a 1-argument callable that takes an `AmpBox` with argument values for the given command, and returns an `AmpBox` containing argument values for the named command, or a `Deferred` that fires the same.